import request from '@/utils/request'

// 查询劳动保障-劳动监察处罚列表
export function listPunishment(query) {
    return request({
        url: '/crmLaborSupervisionPunishment/findByPage',
        method: 'get',
        params: query
    })
}

// 查询劳动保障-劳动监察处罚详细
export function getPunishment(id) {
    return request({
        url: '/crmLaborSupervisionPunishment/' + id,
        method: 'get'
    })
}

// 新增劳动保障-劳动监察处罚
export function addPunishment(data) {
    return request({
        url: '/crmLaborSupervisionPunishment',
        method: 'post',
        data: data
    })
}

// 修改劳动保障-劳动监察处罚
export function updatePunishment(data) {
    return request({
        url: '/crmLaborSupervisionPunishment',
        method: 'put',
        data: data
    })
}

// 删除劳动保障-劳动监察处罚
export function delPunishment(id) {
    return request({
        url: '/crmLaborSupervisionPunishment/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delPunishmentBatch(ids) {
    console.log(ids);
    return request.post('/crmLaborSupervisionPunishment/delete',ids)
}